## EMailSignatureEditor EMailSignatureEditor |

## Functions

void | e_mail_signature_editor_new ()
GtkWidget * | e_mail_signature_editor_new_finish ()
EHTMLEditor * | e_mail_signature_editor_get_editor ()
EFocusTracker * | e_mail_signature_editor_get_focus_tracker ()
ESourceRegistry * | e_mail_signature_editor_get_registry ()
ESource * | e_mail_signature_editor_get_source ()
void | e_mail_signature_editor_commit ()
gboolean | e_mail_signature_editor_commit_finish ()

## Description

## Functions

### e_mail_signature_editor_new ()

    void
    e_mail_signature_editor_new (ESourceRegistry *registry,
                                 ESource *source,
                                 GAsyncReadyCallback callback,
                                 gpointer user_data);

`e_mail_signature_editor_new` is deprecated and should not be used in newly-written code.

### e_mail_signature_editor_new_finish ()

    GtkWidget *
    e_mail_signature_editor_new_finish (GAsyncResult *result,
                                        GError **error);

`e_mail_signature_editor_new_finish` is deprecated and should not be used in newly-written code.

### e_mail_signature_editor_get_editor ()

    EHTMLEditor *
    e_mail_signature_editor_get_editor (EMailSignatureEditor *editor);

`e_mail_signature_editor_get_editor` is deprecated and should not be used in newly-written code.

### e_mail_signature_editor_get_focus_tracker ()

    EFocusTracker *
    e_mail_signature_editor_get_focus_tracker
                                   (EMailSignatureEditor *editor);

`e_mail_signature_editor_get_focus_tracker` is deprecated and should not be used in newly-written code.

### e_mail_signature_editor_get_registry ()

    ESourceRegistry *
    e_mail_signature_editor_get_registry (EMailSignatureEditor *editor);

`e_mail_signature_editor_get_registry` is deprecated and should not be used in newly-written code.

### e_mail_signature_editor_get_source ()

    ESource *
    e_mail_signature_editor_get_source (EMailSignatureEditor *editor);

`e_mail_signature_editor_get_source` is deprecated and should not be used in newly-written code.

### e_mail_signature_editor_commit ()

    void
    e_mail_signature_editor_commit (EMailSignatureEditor *editor,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

`e_mail_signature_editor_commit` is deprecated and should not be used in newly-written code.

### e_mail_signature_editor_commit_finish ()

    gboolean
    e_mail_signature_editor_commit_finish (EMailSignatureEditor *editor,
                                           GAsyncResult *result,
                                           GError **error);

`e_mail_signature_editor_commit_finish` is deprecated and should not be used in newly-written code.

## Types and Values